## primer3 1.1.1

=== src/Makefile ===
--- 
+++ 
@@ -45,48 +45,65 @@
 LDLIBS = -lm
 CC      = gcc
 O_OPTS  = -O2
-WHITEHEAD_SPECIFIC_HACK = -include /usr/include/sys/types.h
-CC_OPTS = -g -Wall -D__USE_FIXED_PROTOTYPES__ $(WHITEHEAD_SPECIFIC_HACK)
+CC_OPTS = -g -Wall -D__USE_FIXED_PROTOTYPES__
 P_DEFINES = -DDPAL_MAX_ALIGN=$(MAX_PRIMER_LENGTH) -DMAX_PRIMER_LENGTH=$(MAX_PRIMER_LENGTH)
 
 CFLAGS  = $(CC_OPTS) $(O_OPTS)
 LDFLAGS = -g
 
 # ======================================================================
-# IMPORTANT: on MacOS X and some other Unix/Linux systems where
-# static libraries are not routinely available, -static has to
-# be removed.
-LIBOPTS ='-static'
+# If you have trouble with library skew when moving primer3 executables
+# between systems, you might want to set LIBOPTS to -static
+LIBOPTS =
 
-PRIMER_EXE = primer3_core
+PRIMER_EXE      = primer3_core
+OLIGOTM_LIB     = liboligotm.a
+OLIGOTM_DYN_LIB = liboligotm.so.1.2.0
+LIBRARIES       = $(OLIGOTM_LIB)
+RANLIB          = ranlib
 
-PRIMER_OBJECTS=primer3_main.o\
-               primer3.o\
-               oligotm.o\
-               dpal_primer.o\
-               format_output.o\
-               boulder_input.o
+PRIMER_OBJECTS1=primer3_main.o\
+                primer3.o\
+                dpal_primer.o\
+                format_output.o\
+                boulder_input.o\
+
+PRIMER_OBJECTS=$(PRIMER_OBJECTS1) $(OLIGOTM_LIB)
+PRIMER_DYN_OBJECTS=$(PRIMER_OBJECTS1) $(OLIGOTM_DYN_LIB)
+# These are files generated by running ./primer3_core < ../example
+example_files=example.for example.rev example.int
 
 EXES=$(PRIMER_EXE) ntdpal oligotm long_seq_tm_test
 
-all: $(EXES)
+all: $(EXES) $(LIBRARIES)
 
-clean:
-	-rm *.o $(EXES) *~
+clean_src:
+	-rm -f *.o $(EXES) $(PRIMER_EXE).dyn *~ $(LIBRARIES) $(example_files)
+
+clean: clean_src
+	cd ../test/; make clean
+
+$(OLIGOTM_LIB): oligotm.o
+	ar rv $@ oligotm.o
+	$(RANLIB) $@
+
+$(OLIGOTM_DYN_LIB): oligotm.o
+	gcc -shared -W1,-soname,liboligotm.so.1 -o $(OLIGOTM_DYN_LIB) oligotm.o
 
 $(PRIMER_EXE): $(PRIMER_OBJECTS)
 	$(CC) $(LDFLAGS) -o $@ $(PRIMER_OBJECTS) $(LIBOPTS) $(LDLIBS)
 
-# For use with the "testcenter" testing program (CenterLine Software
-# Inc, http://www.centerline.com)
-$(PRIMER_EXE).tc: $(PRIMER_OBJECTS) /usr/lib/debug/malloc.o
-	proof $(CC) $(CFLAGS) -o $@ $(PRIMER_OBJECTS) $(LIBOPTS) $(LDLIBS)
+# For use with valgrind, which requires at lease one
+# dynamically linked library.  Automatic testing with
+# valgrind is not implemented at this point.
+$(PRIMER_EXE).dyn: $(PRIMER_DYN_OBJECTS)
+	$(CC) $(CFLAGS) -o $@ $(PRIMER_DYN_OBJECTS) $(LIBOPTS) $(LDLIBS)
 
 ntdpal: ntdpal_main.o dpal.o
 	$(CC) $(LDFLAGS) -o $@ ntdpal_main.o dpal.o
 
-oligotm: oligotm_main.c oligotm.o
-	$(CC) $(CFLAGS) -o $@ oligotm_main.c oligotm.o $(LIBOPTS) $(LDLIBS)
+oligotm: oligotm_main.c oligotm.h $(OLIGOTM_LIB)
+	$(CC) $(CFLAGS) -o $@ oligotm_main.c $(OLIGOTM_LIB) $(LIBOPTS) $(LDLIBS)
 
 long_seq_tm_test: long_seq_tm_test_main.c oligotm.o
 	$(CC) $(CFLAGS) -o $@ long_seq_tm_test_main.c oligotm.o $(LIBOPTS) $(LDLIBS)
@@ -108,9 +125,6 @@
 # We use CC_OPTS above rather than CFLAGS because
 # gcc 2.7.2 crashes while compiling ntdpal_main.c with -O2
 
-oligotm_main.o: oligotm_main.c oligotm.h
-	$(CC) -c $(CFLAGS) -o $@ ntdpal_main.c
-
 oligotm.o: oligotm.c oligotm.h primer3_release.h
 
 primer3.o: primer3.c primer3.h primer3_release.h
@@ -119,5 +133,7 @@
 primer3_main.o: primer3_main.c primer3.h primer3_release.h dpal.h oligotm.h format_output.h
 	$(CC) -c $(CFLAGS) $(P_DEFINES) primer3_main.c
 
-primer_test: $(PRIMER_EXE)
-	cd ../test; primer_test.pl
+primer_test: test
+
+test: $(PRIMER_EXE) ntdpal
+	cd ../test; make test
