=== debian/changelog ===
primer3 (2.2.3-1) unstable; urgency=low

  * New upstream version
  * debian/primer3.docs: s/README.txt/primer3_manual.htm/
  * debian/compat: 7
  * debian/control:
    - Build-Depends: debhelper (>= 7)
    - Standards-Version: 3.9.1 (no changes needed
  * debian/source/format: 3.0 (quilt)
  * debian/README.source
  * debian/primer3.doc-base

 -- Andreas Tille <tille@debian.org>  Wed, 17 Nov 2010 14:01:59 +0100

primer3 (1.1.4-2) UNRELEASED; urgency=low

  [ David Paleino ]
  * Removed myself from Uploaders

  [ Charles Plessy ]
  * Documented informations in ‘debian/upstream-metadata.yaml’.
  * Removed mention of the bibliographic reference and the webservice in
    ‘debian/control’.

 -- David Paleino <d.paleino@gmail.com>  Sat, 23 May 2009 14:47:37 +0200

primer3 (1.1.4-1) unstable; urgency=low

  * New upstream release (No changes on Linux systems).
  * Updated my email address (debian/control, debian/copyright, manpages).
  * Updated the manpages:
    - using DocBook 4.5
    - incremented Primer3 version to 1.1.4

 -- Charles Plessy <plessy@debian.org>  Fri, 09 May 2008 12:54:28 +0900

primer3 (1.1.3-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream version:
    - 1.1.3: Corrected static buffer overflow errors in
      boulder_print_pairs() and boulder_print_oligos() in primer3_main.c.
    - 1.1.2: Updates to dpal.c so that no error forces an exit.
      Adpatation in primer3_main.c and ntdpal_main.c to
        updated error handling in dpal().
      Arranged for primer3_main.c align() to check for
        and circumvent local alignments to "targets" < 3 nucleotides
        long, and added tests for this condition.
      Comment and code readability updates in dpal.h and dpal.c
  * Moved the Homepage: field out from the package's description.
  * debian/control: updated Steffen's email address.
  * debian/*.1.xml: corrected the headers of the sources of manpages.
  * debian/rules: converted to CDBS.

  [ David Paleino ]
  * debian/ntdpal.1, debian/primer3_core.1 and debian/oligotm.1
    added - manpages are statically built now
  * debian/control:
    - B-D updated
    - added myself to Uploaders
  * Updated to Standards-Version 3.7.3 (no changes needed)

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Mon, 25 Feb 2008 16:31:58 +0900

primer3 (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Enhances: emboss because EMBOSS has a wrapper for primer3_core.
  * Add Subversion repository URL to debian/control.
  * Updated the manpages

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Sun,  3 Jun 2007 16:16:19 +0900

primer3 (1.1.0~beta-1) experimental; urgency=low

  * New upstream release.
    - Some part of primer3 is now licenced under the GNU GPL.
    - The oligtotm() function is now provided as a library, liboligotm.
    - The oligotm executable now takes additional arguments.
    - Non-backward compatible change: removed support of flag -2x_compat.
  * Added a watch file now that the sources are hosted on SourceForge.net.
  * Updated manpages.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Sun, 18 Feb 2007 09:04:16 +0900

primer3 (1.0b-1) unstable; urgency=low

  * Initial release. (Closes: #241235)
  * New upstream version released under a revised BSD licence.
  * Swiching to collaborative maintainance: Maintainer is a mailing-list,
    Uploaders are real people.
  * Using debhelper v5 and conforming to policy 3.7.2.
  * Relicencing the manpage of Primer3 (thanks to Steffen Moeller), adding one
    for ntdpal and oligotm.
  * Extensive tests during bulding, except on slow architectures.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Thu, 28 Sep 2006 20:18:54 +0900

primer3 (0.9-0.2) unstable; urgency=low
  
  * Contacted upstream author, change of section to non-free/optional.

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Wed,  1 Apr 2004 15:07:10 +0200
 

primer3 (0.9-0.1) unstable; urgency=low

  * Pre-Release.

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Wed, 31 Mar 2004 15:07:10 +0200
