=== debian/control ===
Source: primer3
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Steffen Moeller <moeller@debian.org>,
 Charles Plessy <plessy@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 7), cdbs
Standards-Version: 3.9.1
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/primer3/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/primer3/trunk/
Homepage: http://primer3.sourceforge.net

Package: primer3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Suggests: ncbi-epcr
Enhances: emboss
Description: Tool to design flanking oligo nucleotides for DNA amplification
 Primer3 picks primers for Polymerase Chain Reactions (PCRs), considering as
 criteria oligonucleotide melting temperature, size, GC content and
 primer-dimer possibilities, PCR product size, positional constraints within
 the source sequence, and miscellaneous other constraints. All of these
 criteria are user-specifiable as constraints, and some are specifiable as
 terms in an objective function that characterizes an optimal primer pair.
