=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_MAKE_CHECK_TARGET   = -C test test
DEB_MAKE_CLEAN_TARGET   = -C src clean
DEB_MAKE_BUILD_TARGET   = -C src all

clean::
	$(MAKE) -C test clean
