=== debian/watch ===
version=3
http://sf.net/primer3/primer3-([\d.]*)\.tar\.gz
