=== test/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ======================================================================
 # (c) Copyright 1996,1997,1998,1999,2000,2001,2004,2006,2007,2008,2009,
-#       2010
+#       2010,2011
 # Whitehead Institute for Biomedical Research, Steve Rozen, 
 # Andreas Untergasser and Helen Skaletsky
 # All rights reserved.
@@ -45,12 +45,13 @@
 
 
 test: makeexes testcmdline testtm testdpal testthal testcore test_io_v3
+	echo; echo; echo "Testing completed. You must check the test output for the string FAILED"; echo; echo;
 
 testcmdline:
 ifeq ($(TESTOPTS),--windows)
-	echo 'TESTING command line arguments' & perl cmdline_test.pl $(TESTOPTS)
+	perl cmdline_test.pl $(TESTOPTS)
 else 
-	echo; echo; echo 'TESTING command line arguments'; echo; perl cmdline_test.pl $(TESTOPTS)
+	perl cmdline_test.pl $(TESTOPTS)
 endif
 
 test_io_v3:
@@ -76,16 +77,16 @@
 
 testthal:
 ifeq ($(TESTOPTS),--windows)
-	echo 'TESTING THERMODYNAMICAL ALIGNMENT CALCS' & perl thal_test.pl $(TESTOPTS)
+	echo 'TESTING THERMODYNAMIC ALIGNMENT CALCS' & perl thal_test.pl $(TESTOPTS)
 else
-	echo; echo; echo 'TESTING THERMODYNAMICAL ALIGNMENT CALCS'; echo; perl thal_test.pl $(TESTOPTS);
+	echo; echo; echo 'TESTING THERMODYNAMIC ALIGNMENT CALCS'; echo; perl thal_test.pl $(TESTOPTS);
 endif
 
 testtm:
 ifeq ($(TESTOPTS),--windows)
-	echo 'TESTING Tm CALCS' & perl oligotm_test.pl $(TESTOPTS)
+	perl oligotm_test.pl $(TESTOPTS)
 else
-	echo; echo; echo 'TESTING Tm CALCS'; echo; perl oligotm_test.pl $(TESTOPTS);
+	perl oligotm_test.pl $(TESTOPTS)
 endif
 
 makeexes:
@@ -98,26 +99,34 @@
 clean:
 ifeq ($(TESTOPTS),--windows)
 	echo 'CLEAN UP TEST DIRECTORIES'
+	del /Q /F primer1_list_tmp\*
+	del /Q /F primer1_th_list_tmp\*
 	del /Q /F primer_list_tmp\*
-	del /Q /F primer1_list_tmp\*
+	del /Q /F th-w-other-tasks_list_tmp\*
 	del /Q /F primer_global_err\*.tmp primer_global_err\*.tmp2 primer_global_err\*.bak
 	del /Q /F *.tmp *.bak *.tmp.err *~
 	del /Q /F hyb_probe_only.for hyb_probe_only.int 
 	del /Q /F right_only.for right_only.rev left_only.for
 	del /Q /F pcr_primers_and_io.int pcr_primers_and_io.rev pcr_primers_and_io.for
 	del /Q /F pcr_primers.rev pcr_primers.for
+	del /Q /F pick_primer_list_and_file_flag_th_*.for pick_primer_list_and_file_flag_th_*.rev
+	del /Q /F pick_primer_list_and_file_flag_th_*.int
 	del /Q /F syntax*.for syntax*.int syntax*.rev
 	cd io_version_3 & $(WINMAKE) clean TESTOPTS=$(TESTOPTS)
 else
 	echo; echo; echo 'CLEAN UP TEST DIRECTORIES'; echo; echo;
 	-rm -rf primer_list_tmp/*
 	-rm -rf primer1_list_tmp/*
+	-rm -rf primer1_th_list_tmp/*
+	-rm -rf th-w-other-tasks_list_tmp/*
 	-rm -f primer_global_err/*.tmp primer_global_err/*.tmp2 primer_global_err/*.bak
 	-rm -f *.tmp *.bak *.tmp.err *~
 	-rm -f hyb_probe_only.for hyb_probe_only.int 
 	-rm -f right_only.for right_only.rev left_only.for
 	-rm -f pcr_primers_and_io.int pcr_primers_and_io.rev pcr_primers_and_io.for
 	-rm -f pcr_primers.rev pcr_primers.for
+	-rm -f pick_primer_list_and_file_flag_th_[1-4].for pick_primer_list_and_file_flag_th_[1-4].rev
+	-rm -f pick_primer_list_and_file_flag_th_[1-4].int
 	-rm -f syntax[0-1][0-9].for syntax[0-1][0-9].int syntax[0-1][0-9].rev
 	-rm -f oligotm.*.valg    # valgrind output from oligotm_test.pl --valgrind
 	-rm -f ntdpal.*.valg     # valgrind output from dpal_test.pl --valgrind
