=== debian/changelog ===
primer3 (2.3.2-1) unstable; urgency=low

  * New upstream release changing some default values.
  * Refreshed debian/copyright to machine-readable format version 1.0.
    Note that the license of Primer3 version 2.x changed to the GPLv2 or higher.
  * Spellchecked manual pages (Closes: #650477, thanks to A. Costa).
  * Using Debhelper 8 (debian/control, debian/compat).
  * Renamed debian/README.Debian debian/README.test as it is all about tests.
  * Conforms to Policy 3.9.3 (debian/control, no other changes needed).

 -- Charles Plessy <plessy@debian.org>  Thu, 22 Mar 2012 13:35:35 +0900
