=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
  Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 7), cdbs
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8), cdbs
+Standards-Version: 3.9.3
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/primer3/trunk/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/primer3/trunk/
 Homepage: http://primer3.sourceforge.net
