## primer3 2.3.5

=== debian/changelog ===
primer3 (2.3.5-1) unstable; urgency=low

  New upstream release.

  [ Andreas Tille ]
  * debian/upstream:
     - Remove duplicated entry for PMID
     - Added Volume, fixed Number
     - Added URL+eprint
  * debian/control:
    - Removed DM-Upload-Allowed
    - Standards-Version: 3.9.4 (no changes needed)
  * debhelper 9 (control+compat)
  * debian/copyright: PD License should be avoided - bumped packaging
    to same license as program itself

 -- Andreas Tille <tille@debian.org>  Tue, 05 Feb 2013 10:11:37 +0100
