=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
 Uploaders: Steffen Moeller <moeller@debian.org>,
  Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8), cdbs
-Standards-Version: 3.9.3
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/primer3/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/primer3/trunk/
+Build-Depends: debhelper (>= 9), cdbs
+Standards-Version: 3.9.4
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/primer3/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/primer3/trunk/
 Homepage: http://primer3.sourceforge.net
 
 Package: primer3
