## primer3 2.3.6

=== src/Makefile ===
--- 
+++ 
@@ -71,15 +71,15 @@
 
 ifeq ($(TESTOPTS),--windows)
 	PRIMER_EXE      = primer3_core.exe
-	NTDPAL_EXE	= ntdpal.exe
-	NTTHAL_EXE	= ntthal.exe
-	OLIGOTM_EXE	= oligotm.exe
+	NTDPAL_EXE      = ntdpal.exe
+	NTTHAL_EXE      = ntthal.exe
+	OLIGOTM_EXE     = oligotm.exe
 	LONG_SEQ_EXE	= long_seq_tm_test.exe
 else
 	PRIMER_EXE      = primer3_core
-	NTDPAL_EXE	= ntdpal
-	NTTHAL_EXE	= ntthal
-	OLIGOTM_EXE	= oligotm
+	NTDPAL_EXE      = ntdpal
+	NTTHAL_EXE      = ntthal
+	OLIGOTM_EXE     = oligotm
 	LONG_SEQ_EXE	= long_seq_tm_test
 endif
 LIBOLIGOTM      = liboligotm.a
