=== test/Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 TESTOPTS =
 
 
-test: makeexes testcmdline testtm testdpal testthal testcore test_io_v3
+test: makeexes testcmdline testtm testdpal testthal testcore
 	echo; echo; echo "Testing completed. You must check the test output for the string FAILED"; echo; echo;
 
 testcmdline:
@@ -52,13 +52,6 @@
 	perl cmdline_test.pl $(TESTOPTS)
 else 
 	perl cmdline_test.pl $(TESTOPTS)
-endif
-
-test_io_v3:
-ifeq ($(TESTOPTS),--windows)
-	cd io_version_3 & $(WINMAKE) test TESTOPTS=$(TESTOPTS)
-else
-	cd io_version_3; make test
 endif
 
 testcore:
@@ -112,7 +105,6 @@
 	del /Q /F pick_primer_list_and_file_flag_th_*.for pick_primer_list_and_file_flag_th_*.rev
 	del /Q /F pick_primer_list_and_file_flag_th_*.int
 	del /Q /F syntax*.for syntax*.int syntax*.rev
-	cd io_version_3 & $(WINMAKE) clean TESTOPTS=$(TESTOPTS)
 else
 	echo; echo; echo 'CLEAN UP TEST DIRECTORIES'; echo; echo;
 	-rm -rf primer_list_tmp/*
@@ -137,5 +129,4 @@
 	-rm -f *.vg */*.vg       # valgrind output from p3test{,z}.pl --valgrind
 	-rm -f *.vg.core.*       # core files from crashed valgrind test
 	-rm -f ./core # in case we crashed and left a core file
-	cd io_version_3; make clean
 endif
