=== debian/changelog ===
primer3 (2.3.6-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream release.
  * Install configuration files in /etc (first step to fix bug 702693).
  * Normalised debian/control with config-model-edit.
  * Use canonical VCS URLs.

  [ Andreas Tille ]
  * Fix watch file
  * replace cdbs by dh
  * debian/patches/hardening.patch: Propagate hardening options
  * Standards-Version: 3.9.5 (no changes needed)
  * debian/patches/primer_thermodynamic_parameters_path_2_etc.patch:
    Make sure config files will be searched for in /etc/primer3_config/
    instead of /opt/primer3_config/
    Closes: #702693
  * Verified that new upstream
    Closes: #716151, #716213 
  * New executable: ntthal (including manpage)
  * Removed *.xml variants of manpages to reduce redundancy

 -- Andreas Tille <tille@debian.org>  Thu, 19 Dec 2013 09:58:19 +0100
