=== debian/control ===
Source: primer3
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/primer3/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/primer3/trunk/
Homepage: http://primer3.sourceforge.net

Package: primer3
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: ncbi-epcr
Enhances: emboss
Description: Tool to design flanking oligo nucleotides for DNA amplification
 Primer3 picks primers for Polymerase Chain Reactions (PCRs), considering as
 criteria oligonucleotide melting temperature, size, GC content and
 primer-dimer possibilities, PCR product size, positional constraints within
 the source sequence, and miscellaneous other constraints. All of these
 criteria are user-specifiable as constraints, and some are specifiable as
 terms in an objective function that characterizes an optimal primer pair.
