=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=src

override_dh_auto_test:
	dh_auto_test --sourcedirectory=test
