=== debian/watch ===
version=3
http://sf.net/primer3/primer3-[-src]*([\d.]*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
